Commit 2311f5a3 authored by David Schleef's avatar David Schleef
Browse files

We don't depend on or use nasm on any platform. It was apparently for the mpeg2 plugin.

Original commit message from CVS:
We don't depend on or use nasm on any platform.  It was apparently for
the mpeg2 plugin.
parent bca900c6
......@@ -45,16 +45,6 @@ AC_ARG_WITH(pkg-config-path,
[colon-separated list of pkg-config(1) dirs]),
[export PKG_CONFIG_PATH=${withval}])
dnl Check for nasm
AC_PATH_PROG(NASM_PATH, nasm, no)
AC_SUBST(NASM_PATH)
if test x$NASM_PATH = xno; then
AC_MSG_WARN(Couldn't find nasm)
HAVE_NASM="no"
else AC_DEFINE(HAVE_NASM, 1, [Define if NASM, the netwide assembler, is available])
HAVE_NASM="yes"
fi
GST_DOC()
GST_ARCH()
......@@ -357,7 +347,6 @@ AM_CONDITIONAL(HAVE_ATOMIC_H, test "x$USE_ATOMIC_H" = "xyes")
AM_CONDITIONAL(EXPERIMENTAL, test "$EXPERIMENTAL" = "$xyes")
AM_CONDITIONAL(BROKEN, test "$BROKEN" = "$xyes")
AM_CONDITIONAL(HAVE_NASM, test "x$HAVE_NASM" = "xyes")
AM_CONDITIONAL(PLUGINS_USE_BUILDDIR, test "x$PLUGINS_USE_BUILDDIR" = "xyes")
......
......@@ -18,7 +18,6 @@ Requires: libxml2 >= %_libxml2
Requires: popt > 1.6
BuildRequires: glib2-devel >= %_glib2
BuildRequires: libxml2-devel >= %_libxml2
BuildRequires: nasm >= 0.90
BuildRequires: bison
BuildRequires: flex
BuildRequires: gtk-doc >= 0.7
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment